import { baseServer, User, root, dict } from '@/api/index'
import fetch from '@/utils/require'
export function list(data) {
	return fetch({
		url: `${baseServer}/companyPage/${data.pageNum}/${data.pageSize}`,
		method: 'post',
		data: data
	})
}

export function company(tyshxydm) {
	return fetch({
		url: `${baseServer}/company/${tyshxydm}`,
		method: 'get'
	})
}
export function audit(data) {
	return fetch({             
		url: `${baseServer}/update/sfba?id=${data.id}&sfba=${data.sfba}&审核意见=${data.审核意见}`,
		method: 'put'
	})
}
export function orgName(orgCode) {
	return fetch({
		url: `${User}/org/orgNameByCode/${orgCode}`,
		method: 'post'
	})
}

// 主营业务
export function coMainBusiness() {
	return fetch({
		url: `${dict}/dataDictionary/findByGroupId/43439`,
		method: 'get'
	})
}

export function orgAreaCode(orgName) {
	return fetch({
		url: `${User}/org/getOrgAreaCodeByOrgName/${orgName}`,
		method: 'post'
	})
}
